org.apache.ignite.internal

## Class IgnitionMXBeanAdapter

- java.lang.Object
- - org.apache.ignite.internal.IgnitionMXBeanAdapter

All Implemented Interfaces:
  IgnitionMXBean

    public class IgnitionMXBeanAdapter
    extends Object
    implements IgnitionMXBean

Management bean that provides access to `Ignition`.

### Constructor Summary

Constructors
Constructor and Description
`IgnitionMXBeanAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getState()` Gets state of default grid instance.
`String` `getState(String name)` Gets state for a given grid instance.
`void` `restart(boolean cancel)` Restart JVM.
`boolean` `stop(boolean cancel)` Stops default grid instance.
`boolean` `stop(String name, boolean cancel)` Stops named Ignite instance.
`void` `stopAll(boolean cancel)` Stops all started grids.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgnitionMXBeanAdapter

    public IgnitionMXBeanAdapter()

### Method Detail

#### getState

    public String getState()

Gets state of default grid instance.

Specified by:
  `getState` in interface `IgnitionMXBean`
Returns:
  State of default grid instance.
See Also:
  `Ignition.state()`

#### getState

    public String getState(String name)

Gets state for a given grid instance.

Specified by:
  `getState` in interface `IgnitionMXBean`
Parameters:
  `name` - Name of grid instance.
Returns:
  State of grid instance with given name.
See Also:
  `Ignition.state(String)`

#### stop

    public boolean stop(boolean cancel)

Stops default grid instance.

Specified by:
  `stop` in interface `IgnitionMXBean`
Parameters:
  `cancel` - If `true` then all jobs currently executing on default grid will be cancelled by calling `ComputeJob.cancel()` method. Note that just like with `Thread.interrupt()`, it is up to the actual job to exit from execution.
Returns:
  `true` if default grid instance was indeed stopped, `false` otherwise (if it was not started).
See Also:
  `Ignition.stop(boolean)`

#### stop

    public boolean stop(String name,
                        boolean cancel)

Stops named Ignite instance. If `cancel` flag is set to `true` then all jobs currently executing on local node will be interrupted. If Ignite instance name is `null`, then default no-name Ignite instance will be stopped. It does not wait for the tasks to finish their execution.

Specified by:
  `stop` in interface `IgnitionMXBean`
Parameters:
  `name` - Ignite instance name. If `null`, then default no-name Ignite instance will be stopped.
  `cancel` - If `true` then all jobs currently will be cancelled by calling `ComputeJob.cancel()` method. Note that just like with `Thread.interrupt()`, it is up to the actual job to exit from execution. If `false`, then jobs currently running will not be canceled. In either case, grid node will wait for completion of all jobs running on it before stopping.
Returns:
  `true` if named Ignite instance instance was indeed found and stopped, `false` otherwise (the instance with given `name` was not found).
See Also:
  `Ignition.stop(String, boolean)`

#### stopAll

    public void stopAll(boolean cancel)

Stops all started grids. If `cancel` flag is set to `true` then all jobs currently executing on local node will be interrupted. It does not wait for the tasks to finish their execution.

Note: it is usually safer and more appropriate to stop grid instances individually instead of blanket operation. In most cases, the party that started the grid instance should be responsible for stopping it.

Specified by:
  `stopAll` in interface `IgnitionMXBean`
Parameters:
  `cancel` - If `true` then all jobs currently executing on all grids will be cancelled by calling `ComputeJob.cancel()` method. Note that just like with `Thread.interrupt()`, it is up to the actual job to exit from execution
See Also:
  `Ignition.stopAll(boolean)`

#### restart

    public void restart(boolean cancel)

Restart JVM.

Specified by:
  `restart` in interface `IgnitionMXBean`
Parameters:
  `cancel` - If `true` then all jobs currently executing on all grids will be cancelled by calling `ComputeJob.cancel()` method. Note that just like with `Thread.interrupt()`, it is up to the actual job to exit from execution
See Also:
  `Ignition.stopAll(boolean)`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022